#!/bin/bash

softversion='7.2'
newpkgversion='72.7'
softname='zenwalk-desktop'

arch='noarch'
cpu='i686'

PKGBUILD=$(pwd)


newdir="$softname-$softversion-$arch-$newpkgversion"
PKG="/tmp/$newdir"


cd $PKGBUILD
rm -rf $PKG
rm -f $PKG.txz

# Copy the /etc/skel and other desktop related config files tree
tar -xvf $PKGBUILD/$softname.tar.gz 
mv $PKGBUILD/$softname $PKG



# Create gconf.xml.zenwalk
mkdir -p $PKG/etc/gconf/gconf.xml.zenwalk
mkdir -p $PKG/etc/gconf/2

# Add gconf.xml.zenwalk to gconf path tree
cat > $PKG/etc/gconf/2/local-defaults.path << "END"
# System-wide Defaults for Zenwalk
xml:readonly:/etc/gconf/gconf.xml.zenwalk
END

# Set gconf-setting defaults specific to Zenwalk
# ----------------------------------------------------------


# Gnome settings 
# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /desktop/gnome > desktop.gnome.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load desktop.gnome.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load desktop.gnome.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /desktop/gnome/thumbnailers > evince-thumbnailer.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load evince-thumbnailer.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load evince-thumbnailer.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /apps/metacity > apps.metacity.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load apps.metacity.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load apps.metacity.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /apps/nautilus > apps.nautilus.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load apps.nautilus.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load apps.nautilus.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /apps/nautilus-actions > apps.nautilus-actions.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load apps.nautilus-actions.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load apps.nautilus-actions.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /apps/panel > apps.panel.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load apps.panel.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load apps.panel.gconf

# gconftool-2 --config-source=xml::/home/jpgu/.gconf --dump /apps/gnome-terminal > apps.gnome-terminal.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --load apps.gnome-terminal.gconf
# gconftool-2 --direct --config-source "xml::$PKG/etc/skel/.gconf" --load apps.gnome-terminal.gconf


# URL-Handlers
for a in ftp https http; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "firefox %s"
done
for a in mailto; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "thunderbird %s"
done
for a in trash file ; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "thunar %s"
done

# XFCE Settings
# rm -rf $PKGBUILD/xfce-perchannel-xml $PKGBUILD/panel
# cp -rf /home/jpgu/.config/xfce4/xfconf/xfce-perchannel-xml $PKGBUILD/xfce-perchannel-xml
# cp -rf /home/jpgu/.config/xfce4/panel $PKGBUILD/panel


rm -rf $PKG/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
cp -rf $PKGBUILD/xfce-perchannel-xml $PKG/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
mkdir -p $PKG/etc/xdg/xfce4/xfconf
cp -rf $PKGBUILD/xfce-perchannel-xml $PKG/etc/xdg/xfce4/xfconf/xfce-perchannel-xml
chmod 755 $PKG/etc/xdg/xfce4/xfconf/xfce-perchannel-xml

rm -rf $PKG/etc/skel/.config/xfce4/panel
cp -rf $PKGBUILD/panel $PKG/etc/skel/.config/xfce4/panel
chmod 755 $PKG/etc/skel/.config/xfce4/panel
chmod 755 $PKG/etc/skel/.config/xfce4/panel/launcher*


# root inherits users config
cp -rf $PKG/etc/skel $PKG/root


mkdir -p $PKG/usr/src/$softname-$softversion
cp $PKGBUILD/build-$softname.sh $PKG/usr/src/$softname-$softversion/

chown -R root:root $PKG

# slack-desc
mkdir -p $PKG/install
cat > $PKG/install/slack-desc << EOF
$softname: $softname is the Zenwalk default desktop layout
$softname:
$softname: Based on XFce , Zenwalk provides the cleanest and most 
$softname: user-friendly desktop environment.
$softname: 
$softname: For more information, see:  http://zenwalk.org
$softname:
$softname:
$softname:
$softname:
$softname:
EOF

cd $PKG
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 700 -exec chmod 755 {} \;
find . -perm 770 -exec chmod 755 {} \;
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
makepkg -l y -c y $PKG.txz

rm -rf $PKG


